petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatMFFDResetHHistory

Resets the counter to zero to begin collecting a new set of differencing histories.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMFFDResetHHistory(Mat J)

Logically Collective on Mat

### Input Parameters

J -the matrix-free matrix context

### Notes

Use MatMFFDSetHHistory() to create the original history counter.

### Keywords

SNES, matrix-free, h history, differencing history

### See Also

MatMFFDGetH(), MatCreateSNESMF(),
MatMFFDSetHHistory(), MatMFFDSetFunctionError()

Level:advanced
Location:src/mat/impls/mffd/mffd.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages